part of '../bmcommons.dart';

class FlexibleScrollView extends StatelessWidget {
  final Widget child;
  final ScrollController controller;

  FlexibleScrollView({this.child, this.controller});

  @override
  Widget build(BuildContext context) {
    return LayoutBuilder(
      builder: (context, constraint) {
        return SingleChildScrollView(
          controller: controller,
          child: ConstrainedBox(
            constraints: BoxConstraints(minHeight: constraint.maxHeight),
            child: IntrinsicHeight(
              child: child,
            ),
          ),
        );
      },
    );
  }
}
